OpenVDB 12.1.0

Loading...
Searching...
No Matches
LevelSetMeasure.h File Reference
`#include <openvdb/Types.h>`
`#include <openvdb/Grid.h>`
`#include <openvdb/tree/LeafManager.h>`
`#include <openvdb/tree/ValueAccessor.h>`
`#include <openvdb/math/Math.h>`
`#include <openvdb/math/FiniteDifference.h>`
`#include <openvdb/math/Operators.h>`
`#include <openvdb/math/Stencils.h>`
`#include <openvdb/util/NullInterrupter.h>`
`#include <openvdb/thread/Threading.h>`
`#include <openvdb/openvdb.h>`
`#include <tbb/parallel_for.h>`
`#include <tbb/parallel_sort.h>`
`#include <tbb/parallel_invoke.h>`
`#include <type_traits>`

Go to the source code of this file.

## Classes
class | DiracDelta< RealT >
| Smeared-out and continuous Dirac Delta function. More...
class | LevelSetMeasure< GridT, InterruptT >
| Multi-threaded computation of surface area, volume and average mean-curvature for narrow band level sets. More...

## Namespaces
namespace | openvdb
namespace | openvdb::v12_1
namespace | openvdb::v12_1::tools

## Functions
template<class GridType>
Real | levelSetArea (const GridType &grid, bool useWorldSpace=true)
| Return the surface area of a narrow-band level set.
template<class GridType>
Real | levelSetVolume (const GridType &grid, bool useWorldSpace=true)
| Return the volume of a narrow-band level set surface.
template<class GridType>
int | levelSetEulerCharacteristic (const GridType &grid)
| Return the Euler Characteristics of a narrow-band level set surface (possibly disconnected).
template<class GridType>
int | levelSetGenus (const GridType &grid)
| Return the genus of a narrow-band level set surface.
template<class GridT>
Real | levelSetArea (const GridT &grid, bool useWorldUnits)
template<class GridT>
Real | levelSetVolume (const GridT &grid, bool useWorldUnits)
template<class GridT>
int | levelSetEulerCharacteristic (const GridT &grid)
template<class GridT>
int | levelSetGenus (const GridT &grid)

## Detailed Description

Author
  Ken Museth